import React from 'react'
import { Control, Form } from 'react-redux-form';

export default class UserEdit extends React.Component {
  componentWillMount() {
    this.props.getUserInfos();
  }
  constructor(props) {
    super(props);
    this.handleSubmit = this.handleSubmit.bind(this);
  }
  handleSubmit() {
    this.props.updateUser({
      'polochon_url': this.props.userStore.polochonUrl,
      'polochon_token': this.props.userStore.polochonToken,
      'password': this.refs.newPassword.value,
      'password_confirm': this.refs.newPasswordConfirm.value,
    });
  }
  render() {
    return (
      <div className="container">
        <div className="content-fluid">
          <div className="col-md-6 col-md-offset-3 col-xs-12">
            <h2>Edit user</h2>
            <hr />

            <Form model="userStore" className="form-horizontal" onSubmit={(val) => this.handleSubmit(val)}>
              <div className="form-group">
                <label className="control-label">Polochon URL</label>
                <Control.text model="userStore.polochonUrl" className="form-control" />
              </div>

              <div className="form-group">
                <label className="control-label">Polochon token</label>
                <Control.text model="userStore.polochonToken" className="form-control"/>
              </div>

              <hr />

              <div className="form-group">
                <label className="control-label">Password</label>
                <input autoComplete="off" className="form-control" ref="newPassword" type="password"/>
              </div>

              <div className="form-group">
                <label className="control-label">Confirm Password</label>
                <input autoComplete="off" className="form-control" ref="newPasswordConfirm" type="password"/>
              </div>

              <div>
                <input className="btn btn-primary pull-right" type="submit" value="Update"/>
              </div>
            </Form>
          </div>
        </div>
      </div>
    );
  }
}
